Skip to content
Docs

Estimate VM Create Cost

$ nirvana compute:vms:cost create
POST/v1/compute/vms/cost

Return a priced cost quote for the proposed VM.

ParametersExpand Collapse
--boot-volume: object { size, type, tags }

Boot volume for the VM.

--instance-type: string

Instance type name.

--name: string

Name of the VM.

--os-image-name: string

Name of the OS Image to use for the VM.

--project-id: string

Project ID to create the VM in.

--public-ip-enabled: boolean

Whether to enable public IP for the VM.

--region: "us-sva-2"

Region the resource is in.

--ssh-key: object { public_key }

Public SSH key configuration for the VM.

--subnet-id: string

ID of the subnet to use for the VM.

--data-volume: optional array of object { name, size, type, tags }

Data volumes for the VM.

--tag: optional array of string

Tags to attach to the VM.

ReturnsExpand Collapse
cost_quote: object { currency, monthly_total, priced_at, usage_dimensions }

Cost quote returned by POST /cost.

currency: string

Currency the quote is denominated in. Always “USD” in v1.

monthly_total: string

Arbitrary-precision decimal serialized as a string (e.g. “58.40”).

priced_at: string

Timestamp the quote was priced at.

usage_dimensions: array of object { dimension, dimension_display_name, monthly_amount, 2 more }

Priced rows, one per usage dimension emitted by the resource.

dimension: string

Usage dimension being priced (e.g. compute_vcpu, storage_abs_gb).

dimension_display_name: string

User-facing label for the dimension (e.g. “vCPU (hours)”).

monthly_amount: string

Arbitrary-precision decimal serialized as a string (e.g. “58.40”).

quantity: number

Quantity of the dimension being priced.

unit_price: string

Arbitrary-precision decimal serialized as a string (e.g. “58.40”).

Estimate VM Create Cost

nirvana compute:vms:cost create \
  --api-key 'My API Key' \
  --boot-volume '{size: 100, type: abs}' \
  --instance-type n1-standard-8 \
  --name my-vm \
  --os-image-name ubuntu-noble-2026-05-18 \
  --project-id 123e4567-e89b-12d3-a456-426614174000 \
  --public-ip-enabled \
  --region us-sva-2 \
  --ssh-key '{public_key: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDBIASkmwNiLcdlW6927Zjt1Hf7Kw/PpEZ4Zm+wU9wn2}' \
  --subnet-id 123e4567-e89b-12d3-a456-426614174000
{
  "currency": "USD",
  "monthly_total": "-69125",
  "priced_at": "2025-01-01T00:00:00Z",
  "usage_dimensions": [
    {
      "dimension": "compute_vcpu",
      "dimension_display_name": "vCPU (hours)",
      "monthly_amount": "-69125",
      "quantity": 4,
      "unit_price": "-69125"
    }
  ]
}
Returns Examples
{
  "currency": "USD",
  "monthly_total": "-69125",
  "priced_at": "2025-01-01T00:00:00Z",
  "usage_dimensions": [
    {
      "dimension": "compute_vcpu",
      "dimension_display_name": "vCPU (hours)",
      "monthly_amount": "-69125",
      "quantity": 4,
      "unit_price": "-69125"
    }
  ]
}